﻿SELECT MAT_NO
	,MAT_DESC
INTO #TB_T_MAT_DESC
FROM OPENQUERY(BB071_DB, 'SELECT MAT_NO, MAT_DESC FROM BB071_DB.dbo.TB_M_MATERIAL WHERE DELETION_FLAG = ''N''')

SELECT ROW_NUMBER() OVER(ORDER BY (A.SUPP_CD)) ROW_NUM 
	,'' MC_CODE
	,A.MAT_NO
	,ISNULL(B.MAT_DESC, '') MAT_DESC
	,'' MINOR_CODE
	,A.PART_COLOR_SFX
	,A.PACKING_TYPE
	,'' PART_CATEGORY
	,A.PRICE_STATUS
	,A.SUPP_CD
	,'' SUPPLIER_PLANT_CD
	,C.SUPP_NAME
	,CONVERT(VARCHAR, A.VALID_DT_FR, 104) VALID_DT_FR
	,A.CURR_CD
	,CONVERT(VARCHAR, CONVERT(MONEY, A.PRICE_AMT), 1) PRICE_AMT
	,'' UOM
	,A.WARP_REF_NO
	,'' WARP_REF_COMMENT
	,'' WARP_REF_DATE
	,'' ECI_NO
	,A.CPP_FLAG
	,A.WARP_BUYER_CD
	,'' BUYER_NAME
	,CONVERT(VARCHAR, A.CREATED_DT, 104) ADD_DT
	,ISNULL(CONVERT(VARCHAR, A.CHANGED_DT, 104), '') UPDATE_DT
FROM TB_M_DRAFT_MATERIAL_PRICE A
LEFT JOIN #TB_T_MAT_DESC B ON A.MAT_NO = B.MAT_NO
JOIN TB_M_SUPPLIER_ICS C ON A.SUPP_CD = C.SUPP_CD
WHERE CPP_FLAG = 'Y'
	AND PC_NO IS NULL
	AND DRAFT_DF = 'N'

DROP TABLE #TB_T_MAT_DESC